//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

void configvars_Init();

const char* config_StrVal(const char* name);
int config_IntVal(const char* name);
const char* svname();

int config_IsValSet(const char* name);

int config_SetStrVal(const char* name, const char* content);
int config_SetIntVal(const char* name, int val);

#define CONFVAR_INT 1
#define CONFVAR_STRING 2

int configvars_AddTemplate(int type, const char* name);
void configvars_ClearTemplates();

void configvars_SetOptional();

void configvars_ClearNew();
void configvars_Confirm();

int configvars_PromptMissing();

extern int needts6sid;