//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

struct weircdgline {
	char* mask;
	long long expiretime;
	char* reason;
	int global;//1=gline, 0=kline
};
extern struct weircdgline* glines[COMPILEOPTION_MAXGLINES];

void initgklines();
void freegklines();
int readglines(int global);
const char* printexp(long long time);
void listgklines(USER userid, int global);
void savegklines(int global);
void saveglines();
void saveklines();
void glineusers(const char* mask, USER ircop, const char* reason, int global);
const char* glined(USER userid, int global);
const char* glinedbyip(const char* ip, int global);
void delgkline(USER userid, const char* mask, int global);
void addgkline(USER userid, const char* mask, const char* vtime, const char* vreason,int global);
void expiregklines();