//    weircdservices module
//    Copyright (C) 2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

void privmsg_chanserv(const char* user, const char* msg) {
	char response[513];
	char* cmd = alloca(strlen(msg)+1);
	char* params = alloca(strlen(msg)+1);
	strcpy(cmd,msg);trimleft(cmd);
	if (charpos(cmd,' ') > 0) {
		strcpy(params,cmd);
		cut(params,charpos(params,' ')+1);trimleft(params);trimright(params);
		cmd[charpos(cmd,' ')] = 0;
	}else{
		strcpy(params,"");
	}
	if (strlen(cmd) <= 0) {return;}
	/*if (strcasecmp(cmd,"!doraw") == 0) {
		if (weircd_user_IsIRCOp(user) != 0) {
			msguser(chanserv,user,"\002Access denied.\002");return;
		}
		weircd_fakeuser_Send(chanserv, params);
		return;
	}*/
	if (strcasecmp(cmd,"info") == 0) {
		trimleft(params);cutonfirstspace(params);
		if (strlen(params) <= 0) {
			snprintf(response,499,"Type %c/msg ChanServ info <nickname>%c to get information about a specific nickname.",2,2);
			response[499] = 0;
			msguser(chanserv,user,response);
			return;
		}
		if (services_channelregistered(params) == 0) {
			char* on = services_getchannelorigname(params);char* ow = services_getchannelowner(params);
			snprintf(response,499,"Channel \"%s\" has been \002registered\002 by %s.",on,ow);
			free(on);free(ow);
			response[499] = 0;
			msguser(chanserv,user,response);
			return;
		}else{
			snprintf(response,499,"Channel \"%s\" is \002unregistered\002.",params);
			response[499] = 0;
			msguser(chanserv,user,response);
			return;
		}
	}
	if (strcasecmp(cmd,"unregister") == 0) {
		trimleft(params);cutonfirstspace(params);
		if (strlen(params) < 1) {
			msguser(chanserv,user,"There are some parameters missing! Use \002/msg ChanServ help register\002 to check the correct syntax of this command");
			return;
		}
		const char* acc = weircd_user_GetLoginAccountName(user);
		if (acc == NULL) {
			msguser(chanserv,user,"You need to be logged in to do that.");return;
		}
		if (services_channelregistered(params) != 0) {
			snprintf(response,512,"The channel \002%s\002 is not registered.",params);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		char* p = services_getchannelowner(params);
		if (p == NULL) {
			msguser(chanserv,user,"Database problem when acquiring owner data.");return;
		}
		if (strcasecmp(p,acc) != 0) {
			snprintf(response,512,"You are not the owner of %s - only the owner can drop the channel.",params);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		if (services_unregisterchan(params) != 0) {
			snprintf(response,499,"The \002channel unregister failed\002 (Technical problem: database reports error). Please join %s for help.",weircd_GetHelpChan());
			response[499] = 0;
			msguser(chanserv,user,response);
		}else{
			snprintf(response,512,"The channel %s has been \002unregistered\002.",params);response[512] = 0;
			msguser(chanserv,user,response);
			snprintf(response,512,"PART %s :Channel has been dropped",params);
			response[512] = 0;
			weircd_fakeuser_Send(chanserv,response);
		}
		return;
	}
	if (strcasecmp(cmd,"register") == 0) {
		trimleft(params);cutonfirstspace(params);
		if (strlen(params) < 1) {
			msguser(chanserv,user,"There are some parameters missing! Use \002/msg ChanServ help register\002 to check the correct syntax of this command");
			return;
		}
		const char* acc = weircd_user_GetLoginAccountName(user);
		if (acc == NULL) {
			msguser(chanserv,user,"You need to be logged in to do that.");return;
		}
		if (services_channelregistered(params) == 0) {
			snprintf(response,512,"The channel \002%s\002 is already registered.",params);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		if (weircd_user_IsOpInChan(user,params) != 0) {
			msguser(chanserv,user,"You are not having \002operator status\002 on that channel.");return;
		}
		if (dolimitchanchars == 1) {
			if (strlen(params) <= 2) {
				msguser(chanserv,user,"Channelname too short. Please try to register a channel with a more meaningful name.");return;
			}
			int z = 0;
			while (z < strlen(params)-1) {
				if (params[z] == '#' && params[z+1] == '#') {
					msguser(chanserv,user,"Please do not attempt to register channels with doubled # chars.");return;
				}
				z++;
			}
			int letters = 0;int nonletters = 0;
			z = 0;
			while (z < strlen(params)) {
				if ((params[z] >= 'a' && params[z] <= 'z') || (params[z] >= 'A' && params[z] <= 'Z')) {
					letters++;
				}else{
					nonletters++;
				}
				z++;
			}
			if (letters < nonletters) {
				msguser(chanserv,user,"Too few letters in channel name. Please try to register a channel with a more meaningful name.");return;
			}
		}
		if (services_registerchan(params, acc, weircd_channel_GetTopic(params)) != 0) {
			snprintf(response,499,"The \002registration failed\002 (Technical problem: database reports error). Please join %s for help.",weircd_GetHelpChan());
			response[499] = 0;
			msguser(chanserv,user,response);
		}else{
			snprintf(response,499,"The channel \002%s\002 is now registered.",params);
			response[499] = 0;
			msguser(chanserv,user,response);
			snprintf(response,512,"JOIN %s",params);
			response[512] = 0;
			weircd_fakeuser_Send(chanserv,response);
			snprintf(response,512,"MODE %s +o chanserv",params);
			response[512] = 0;
			weircd_fakeuser_Send(chanserv,response);
		}
		return;
	}
	if (strcasecmp(cmd,"flags") == 0) {
		if (charpos(params,' ') > 0) {
			strcpy(cmd,params);cutonfirstspace(cmd);
			cut(params,charpos(params,' ')+1);trimleft(params);
		}else{
			strcpy(cmd,params);strcpy(params,"");
		}
		char flagsparams[] = "There are some parameters missing! Use \002/msg ChanServ help flags\002 to check the correct syntax of this command";
		if (strlen(cmd) < 1) {
			msguser(chanserv,user,flagsparams);
			return;
		}
		if (strcasecmp(cmd,"types") == 0) {
			msguser(chanserv,user,"Available flags for a channel's flags list are:");
			msguser(chanserv,user," Q - Channel owner (includes F)");
			msguser(chanserv,user," F - Can modify the flags list of the channel");
			msguser(chanserv,user," I - User may use chanserv invite to invite himself");
			msguser(chanserv,user," o - User may request op status from chanserv");
			msguser(chanserv,user,"      but won't be automatically opped on join");
			msguser(chanserv,user,"     He may also request op, halfop or voice");
			msguser(chanserv,user,"      for other users (includes I)");
			msguser(chanserv,user," O - Chanserv will pass op to the user on join (includes oI)");
			msguser(chanserv,user," h - User may request half-op status from chanserv");
			msguser(chanserv,user,"      but won't be automatically halfopped on join");
			msguser(chanserv,user,"     He may also request voice for others (invokes I)");
			msguser(chanserv,user," H - Chanserv will pass half-op to the user on join (includes hI)");
			msguser(chanserv,user," v - User may request voice from chanserv");
			msguser(chanserv,user,"      but won't be automatically voiced");
			msguser(chanserv,user," V - Chanserv voices that the user on join (invokes v)");
			return;
		}
		if (services_channelregistered(cmd) != 0) {
			snprintf(response,512,"The channel \002%s\002 is not registered.",cmd);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		if (strcasecmp(params,"list") == 0) {
			chanflags_list(cmd,user);
			return;
		}
		const char* acc = weircd_user_GetLoginAccountName(user);
		if (strcasecmp(params,"add") == 0) {
			msguser(chanserv,user,flagsparams);
			return;
		}
		if (strstw(params,"add ") == 0) {
			cut(params,strlen("add "));trimleft(params);trimright(params);
			if (weircd_user_IsServicesOp(user) != 0) {
				if (acc == NULL) { /* we need an account name for the acting user to proceed */
					msguser(chanserv,user,"You need to be logged in to do that.");return;
				}
				/* Check if we can modify the access list */
				if (chanflags_checkformodify(acc,cmd) != 0) {return;}
			}
			/* check parameters and split up into "tguser" (target account) and "params" (flags) */
			if (strlen(params) < 1) {
				msguser(chanserv,user,flagsparams);
				return;
			}
			if (charpos(params,' ') <= 0) {
				msguser(chanserv,user,flagsparams);
				return;
			}
			char tguser[50];
			strncpy(tguser,params,49);tguser[49] = 0;cutonfirstspace(tguser);
			cut(params,charpos(params,' ')+1);trimleft(params);
			/* Check if our target account exists: */
			if (services_userregistered(tguser) != 0) {
				snprintf(response,512,"The NickServ account \"%s\" does not exist. Please note this command needs \002NickServ account names\002 and not nicknames.",tguser);
				response[512] = 0;
				msguser(chanserv,user,params);
				return;
			}
			/* Ok, we have the rights to do it and the target user exists. Go ahead: */
			chanflags_add(cmd,user,tguser,params);
			return;
		}
		if (strcasecmp(params,"remove") == 0) {
			msguser(chanserv,user,flagsparams);
			return;
		}
		if (strstw(params,"remove ") == 0) {
			cut(params,strlen("remove "));trimleft(params);trimright(params);
			if (weircd_user_IsServicesOp(user) != 0) {
				if (acc == NULL) { /* we need an account name for the acting user to proceed */
					msguser(chanserv,user,"You need to be logged in to do that.");return;
				}
				/* Check if we can modify the access list */
				if (chanflags_checkformodify(acc,cmd) != 0) {return;}
			}
			/* check parameters and split up into "tguser" (target account) and "params" (flags) */
			if (strlen(params) < 1) {
				msguser(chanserv,user,flagsparams);
				return;
			}
			if (charpos(params,' ') <= 0) {
				msguser(chanserv,user,flagsparams);
				return;
			}
			char tguser[50];
			strncpy(tguser,params,49);tguser[49] = 0;cutonfirstspace(tguser);
			cut(params,charpos(params,' ')+1);trimleft(params);
			/* Check if our target account exists: */
			if (services_userregistered(tguser) != 0) {
				snprintf(response,512,"The NickServ account \"%s\" does not exist. Please note this command needs \002NickServ account names\002 and not nicknames.",tguser);
				response[512] = 0;
				msguser(chanserv,user,params);
				return;
			}
			/* Ok, we have the rights to do it and the target user exists. Go ahead: */
			chanflags_del(cmd,user,tguser,params);
			return;
		}
		if (strcasecmp(params,"erase") == 0) {
			msguser(chanserv,user,flagsparams);
			return;
		}
		if (strstw(params,"erase ") == 0) {
			cut(params,strlen("erase "));trimleft(params);trimright(params);
			if (weircd_user_IsServicesOp(user) != 0) {
				if (acc == NULL) { /* we need an account name for the acting user to proceed */
					msguser(chanserv,user,"You need to be logged in to do that.");return;
				}
				/* Check if we can modify the access list */
				if (chanflags_checkformodify(acc,cmd) != 0) {return;}
			}
			/* check param */
			if (strlen(params) < 1) {
				msguser(chanserv,user,flagsparams);
				return;
			}
			cutonfirstspace(params);
			/* check if target user account exists */
			if (services_userregistered(params) != 0) {
				snprintf(response,512,"The NickServ account \"%s\" does not exist. Please note this command takes \002NickServ account names\002 and not nicknames.",params);
				response[512] = 0;
				msguser(chanserv,user,params);
				return;
			}
			/* ok, let's do it */
			chanflags_erase(cmd,user,params);
			return;
		}
		msguser(chanserv,user,"Unknown command. Type \002/ChanServ help flags\002 for help.");
		return;
	}
	if (strcasecmp(cmd,"op") == 0 || strcasecmp(cmd,"halfop") == 0 || strcasecmp(cmd,"voice") == 0
	|| strcasecmp(cmd,"deop") == 0 || strcasecmp(cmd,"dehalfop") == 0 || strcasecmp(cmd,"devoice") == 0) {
		trimleft(params);trimright(params);
		if (strlen(params) < 1) {
			snprintf(response,512,"There are some parameters missing! Use \002/msg ChanServ help %s\002 to check the correct syntax of this command",cmd);
			response[512] = 0;
			msguser(chanserv,user,response);
			return;
		}
		char tguser[100] = "";
		if (charpos(params,' ') > 0) {
			strcopy(tguser,params,99);
			cut(tguser,charpos(tguser,' ')+1);
			cutonfirstspace(params);
			if (strcasecmp(tguser,user) == 0) {strcpy(tguser,"");}
		}
		if (services_channelregistered(params) != 0) {
			snprintf(response,512,"The channel \002%s\002 is not registered.",params);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		if (strlen(tguser) > 0) {
			if (weircd_user_IsOn(tguser) != 0) {
				snprintf(response,512,"The user \002%s\002 is not online. Please note this command takes real nick names and not NickServ account names.",tguser);response[512] = 0;
				msguser(chanserv,user,response);return;
			}
			if (weircd_user_IsInChan(tguser,params) != 0) {
				snprintf(response,512,"The user %s is not inside \002%s\002.",tguser,params);response[512] = 0;
				msguser(chanserv,user,response);return;
			}
		}else{
			if (weircd_user_IsInChan(user,params) != 0) {
				snprintf(response,512,"You not inside \002%s\002.",params);response[512] = 0;
				msguser(chanserv,user,response);return;
			}
		}
		if (weircd_user_IsServicesOp(user) != 0) {
			const char* acc = weircd_user_GetLoginAccountName(user);
			if (acc == NULL) { /* we need an account name for the acting user to proceed */
				msguser(chanserv,user,"You need to be logged in to do that.");return;
			}
			/* Check if we can do what we want */
			int chanid = services_chanid(params);
			if (chanid < 0) {
				msguser(chanserv,user,"Database error: No chan id");
				return;
			}
			const char* flags = services_getchanflags(acc,chanid);
			if (flags == NULL) {
				msguser(chanserv,user,"Database error: No chan flags");
				return;
			}
			if ((strcasecmp(cmd,"op") == 0 || strcasecmp(cmd,"deop") == 0) && charpos(flags,'O') < 0 && charpos(flags,'o') < 0) {
				msguser(chanserv,user,"You don't have the necessary rights.");return;
			}
			if (strcasecmp(cmd,"halfop") == 0 || strcasecmp(cmd,"dehalfop") == 0) {
				if (charpos(flags,'O') < 0 && charpos(flags,'o') < 0) {
					//when just a +h/+H flag is present, only halfopping oneself is possible (with +oO also others)
					if ((charpos(flags,'H') < 0 && charpos(flags,'h') < 0) || strlen(tguser) > 0) {
						msguser(chanserv,user,"You don't have the necessary rights.");return;
					}
				}
			}
			if (strcasecmp(cmd,"voice") == 0 || strcasecmp(cmd,"devoice") == 0) {
				if (charpos(flags,'O') < 0 && charpos(flags,'o') < 0 && charpos(flags,'H') < 0 && charpos(flags,'h') < 0) {
					//when just a +v/+V flag present, only voicing oneself is possible (with +hHoO also others)
					if ((charpos(flags,'V') < 0 && charpos(flags,'v') < 0) || strlen(tguser) > 0)  {
						msguser(chanserv,user,"You don't have the necessary rights.");return;
					}
				}
			}
		}
		char plusminus = '-';
		char modechar = 'v';
		if (strcasecmp(cmd,"op") == 0) {plusminus = '+';modechar = 'o';}
		if (strcasecmp(cmd,"halfop") == 0) {plusminus = '+';modechar = 'h';}
		if (strcasecmp(cmd,"voice") == 0) {plusminus = '+';modechar = 'v';}
		if (strcasecmp(cmd,"deop") == 0) {plusminus = '-';modechar = 'o';}
		if (strcasecmp(cmd,"dehalfop") == 0) {plusminus = '-';modechar = 'h';}
		if (strcasecmp(cmd,"devoice") == 0) {plusminus = '-';modechar = 'v';}
		if (strlen(tguser) <= 0) {strcopy(tguser,user,99);}
		snprintf(response,512,"User \002%s\002 will now get \002%c%c\002 status on %s.",tguser,plusminus,modechar,params);
		response[512] = 0;
		msguser(chanserv,user,response);
		snprintf(response,512,"MODE %s %c%c %s",params,plusminus,modechar,tguser);response[512] = 0;
		weircd_fakeuser_Send(chanserv,response);
		if (strcasecmp(tguser,user) != 0) { //notify tguser of the person executing this on him
			snprintf(response,512,"In %s, user \002%s\002 executed \002%c%c\002 on you.",params,user,plusminus,modechar);
			response[512] = 0;
			msguser(chanserv,tguser,response);
		}
		return;
	}
	if (strcasecmp(cmd,"drop") == 0) {
		trimleft(params);cutonfirstspace(params);
		if (weircd_user_IsServicesOp(user) != 0) {
			msguser(chanserv,user,"This command may only be used by services operators.");
			return;
		}
		if (strlen(params) < 1) {
			msguser(chanserv,user,"There are some parameters missing! Use \002/msg ChanServ help drop\002 to check the correct syntax of this command");
			return;
		}
		if (services_channelregistered(params) != 0) {
			snprintf(response,512,"The channel \002%s\002 is not registered.",params);response[512] = 0;
			msguser(chanserv,user,response);return;
		}
		if (services_unregisterchan(params) != 0) {
			snprintf(response,499,"The \002channel unregister failed\002 (Technical problem: database reports error). Please join %s for help.",weircd_GetHelpChan());
			msguser(chanserv,user,response);
		}else{
			snprintf(response,512,"The channel %s has been \002dropped\002.",params);response[512] = 0;
			msguser(chanserv,user,response);
			snprintf(response,512,"PART %s :Channel has been dropped",params);
			weircd_fakeuser_Send(chanserv,response);
		}
		return;
	}
	if (strcasecmp(cmd,"help") == 0) {
		trimleft(params);
		cutonfirstspace(params);
		if (strcasecmp(params,"") == 0) {
			msguser(chanserv,user,"\002- ChanServ help -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  You can use ChanServ to register a channel.");
			msguser(chanserv,user,"   ChanServ will always give you op status back");
			msguser(chanserv,user,"   and prevent everyone else from getting channel");
			msguser(chanserv,user,"   operator status on you registered channel.");
			msguser(chanserv,user,"  You need to register your nickname for being");
			msguser(chanserv,user,"   able to register a channel (type \002msg NickServ\002");
			msguser(chanserv,user,"   \002help\002 to get more information on this).");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Type \002/msg ChanServ help commands\002 to get a list");
			msguser(chanserv,user,"   of all available commands.");
			msguser(chanserv,user,"  Type \002/msg ChanServ help register\002 to get some");
			msguser(chanserv,user,"   information on how to register a channel.");
			msguser(chanserv,user,"  If this doesn't help you and you still have");
			snprintf(response,499,"   trouble using ChanServ, use \002/join %s\002",weircd_GetHelpChan());
			response[499] = 0;
			msguser(chanserv,user,response);
			msguser(chanserv,user,"   to get help.");
			return;
		}
		if (strcasecmp(params,"commands") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - Command listing -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Here is a list of all available nickserv commands");
			msguser(chanserv,user,"   (type \002/msg chanserv help <command>\002 to get");
			msguser(chanserv,user,"    more information on one of those commands):");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  General commands:");
			msguser(chanserv,user,"    FLAGS");
			msguser(chanserv,user,"    HELP");
			msguser(chanserv,user,"    INFO");
			msguser(chanserv,user,"    REGISTER");
			msguser(chanserv,user,"    UNREGISTER");
			msguser(chanserv,user,"    WELCOMEMSG");
			if (weircd_user_IsServicesOp(user) == 0) {
				msguser(nickserv,user,"\002IRCop commands:\002 DROP");
			}
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Channel status:");
			msguser(chanserv,user,"    DEHALFOP");
			msguser(chanserv,user,"    DEOP");
			msguser(chanserv,user,"    DEVOICE");
			msguser(chanserv,user,"    HALFOP");
			msguser(chanserv,user,"    OP");
			msguser(chanserv,user,"    VOICE");
			return;
		}
		if (strcasecmp(params,"flags") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - \"Flags\" -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Flags allows you to put registered users");
			msguser(chanserv,user,"   onto the flags list to give them several privilegues");
			msguser(chanserv,user,"   in your chan, e.g. getting auto-opped and so on.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Use \002/msg chanserv flags <channel> list\002 to");
			msguser(chanserv,user,"   get the contents of the current flags list of a");
			msguser(chanserv,user,"   registered channel.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Type \002/msg chanserv flags types\002 to");
			msguser(chanserv,user,"   get a list of the different available flags you");
			msguser(chanserv,user,"   can use.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Type \002/msg chanserv flags <channel> add <account>\002");
			msguser(chanserv,user,"   \002<flags>\002 to give the user with that nickserv");
			msguser(chanserv,user,"   the specified flags.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Type \002/msg chanserv flags <channel> remove <account>\002");
			msguser(chanserv,user,"   \002<flags>\002 to take the specified flags of the user");
			msguser(chanserv,user,"   using this nickserv account away.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Type \002/msg chanserv flags <channel> erase <account>\002");
			msguser(chanserv,user,"   to remove a user's account completely from the list and");
			msguser(chanserv,user,"   wipe out all his current privilegues at once.");
			return;
		}
		if (strcasecmp(params,"op") == 0 || strcasecmp(params,"halfop") == 0 || strcasecmp(params,"voice") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - \"HalfOp\\Op\\Voice\" -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Grant a user in a specific channel (or yourself)");
			msguser(chanserv,user,"   the respective user status (+h\\+o\\+v).");
			msguser(chanserv,user,"  You need the necessary channel flag to be able");
			msguser(chanserv,user,"   to execute this action.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Command usage:");
			msguser(chanserv,user,"   \002/msg chanserv voice <channel> [<user>]\002");
			msguser(chanserv,user,"   \002/msg chanserv halfop <channel> [<user>]\002");
			msguser(chanserv,user,"   \002/msg chanserv op <channel> [<user>]\002");
			return;
		}
		if (strcasecmp(params,"dehalfop") == 0 || strcasecmp(params,"deop") == 0 || strcasecmp(params,"devoice") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - \"DeHalfOp\\DeOp\\DeVoice\" -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Take the status from a specific user (or yourself)");
			msguser(chanserv,user,"   in the specified channel.");
			msguser(chanserv,user,"  You need the necessary channel flag to be able");
			msguser(chanserv,user,"   to execute this action.");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  Command usage:");
			msguser(chanserv,user,"   \002/msg chanserv devoice <channel> [<user>]\002");
			msguser(chanserv,user,"   \002/msg chanserv dehalfop <channel> [<user>]\002");
			msguser(chanserv,user,"   \002/msg chanserv deop <channel> [<user>]\002");
			return;
		}
		if (strcasecmp(params,"register") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - \"Register\" -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  You can register a channel where you have");
			msguser(chanserv,user,"   currently channel operator status using the");
			msguser(chanserv,user,"   command \002/msg chanserv register <channel>\002!");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  This will only work when this channel is not");
			msguser(chanserv,user,"   registered yet and when you're logged in to");
			msguser(chanserv,user,"   your NickServ account.");
			return;
		}
		if (strcasecmp(params,"unregister") == 0) {
			msguser(chanserv,user,"\002- ChanServ help - \"Unregister\" -\002");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  This command allows you to unregister one of your");
			msguser(chanserv,user,"   previously registered channels again.");
			msguser(chanserv,user,"   Usage: \002/msg chanserv register <channel>\002!");
			msguser(chanserv,user,"-");
			msguser(chanserv,user,"  This will only work when this channel is not");
			msguser(chanserv,user,"   registered yet and when you're logged in to");
			msguser(chanserv,user,"   your NickServ account.");
			return;
		}
		snprintf(response,499,"No help available for %s",params);
		response[499] = 0;
		msguser(chanserv,user,response);
		return;
	}
	msguser(chanserv,user,"Unknown command. Type \002/ChanServ help\002 for help.");
}